Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> FTP >> Inframail FTP Server Remote Buffer Overflow Vulnerability


Vulnerability Assessment Details

Inframail FTP Server Remote Buffer Overflow Vulnerability

Vulnerability Assessment Summary
Checks for remote buffer overflow vulnerability in Inframail FTP Server

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote FTP server is vulnerable to a buffer overflow attack.

Description :

The remote host is running the FTP server component of Inframail, a
commercial suite of network servers from Infradig Systems.

According to its banner, the installed version of Inframail suffers
from a buffer overflow vulnerability that arises when the FTP server
component processes an NLST command with an excessively long argument
(around 102400 bytes). Successful exploitation will cause the service
to crash and may permit arbitrary code execution.

See also :

http://reedarvin.thearvins.com/20050627-01.html
http://archives.neohapsis.com/archives/fulldisclosure/2005-06/0348.html

Solution :

Upgrade to Inframail 7.12 or later.

Network Security Threat Level:

Medium / CVSS Base Score : 6
(AV:R/AC:L/Au:R/C:C/A:C/I:C/B:N)

Networks Security ID: 14077

Vulnerability Assessment Copyright: This script is Copyright (C) 2005-2006 Tenable Network Security

Cables, Connectors

Vintage Apple II Plus Motherboard with 16K Memory Expansion Card
$89.95
Vintage Apple II Plus Motherboard with 16K Memory Expansion Card picture LAPTOP HP G60 , 2GG ,
$40.0
 LAPTOP HP G60  , 2GG ,  picturePro Comp Slot 1 System Board (B680/683)
$38.8
Pro Comp Slot 1 System Board (B680/683) pictureDell Poweredge 400SC System Motherboard Mainboard with Tray F1425
$39.99
Dell Poweredge 400SC System Motherboard Mainboard with Tray F1425 picture


Discussions

No Discussions have been posted on this vulnerability.